| Home | Libraries | People | FAQ | More

## Class template unordered_map_index

boost::interprocess::unordered_map_index

## Synopsis

    template<typename MapConfig>
    class unordered_map_index {
    public:
      // construct/copy/destruct
      unordered_map_index(segment_manager_base *);

      // public member functions
      void reserve(std::size_t) ;
      void shrink_to_fit() ;
    };

## Description

Index type based in unordered_map. Just derives from unordered_map and defines the interface needed by managed memory segments

### `unordered_map_index` public construct/copy/destruct

1.     unordered_map_index(segment_manager_base * segment_mngr);

   Constructor. Takes a pointer to the segment manager. Can throw

### `unordered_map_index` public member functions

1.     void reserve(std::size_t n) ;

   This reserves memory to optimize the insertion of n elements in the index

2.     void shrink_to_fit() ;

   This tries to free previously allocate unused memory.